系统要求和兼容性

系统要求

作为必备条件,请确保您已使用管理员权限安装了 Citrix Workspace 应用程序。

Citrix 组件的最低版本

  • 适用于 Linux 的 Citrix Workspace 应用程序 2108
  • 适用于 Windows 的 Citrix Workspace 应用程序 2203.1 LTSR
  • 适用于 Windows 的 Citrix Workspace 应用程序 2002
  • 适用于 Windows 的 Citrix Workspace 应用程序 2305.1(应用商店版本)
  • 适用于 Mac 的 Citrix Workspace 应用程序 2001
  • StoreFront 1912 LTSR
  • Delivery Controller 1912
  • 有效的 Citrix 许可证。有关详细信息,请联系您的 Citrix 销售代表或 Citrix Partner。

注意:

如果用户使用的设备或 Workspace 应用程序版本不支持 App Protection,他们将无法访问受保护的资源。受保护的资源包括 Virtual Apps and Desktops 以及 Web 和 SaaS 应用程序。

许可证

以下部分根据产品、平台和用例说明了可用于 App Protection 的不同类型的许可证。

IT 管理的 VDI

对于 IT 管理的 VDI 的所有版本,App Protection 均作为加载项提供。有关详细信息,请参阅 IT 管理的 VDI

适用于超大规模企业的 Citrix DaaS

Citrix DaaS

Feature Matrix for Citrix DaaS(Citrix DaaS 的功能列表)一文中,导航到 DaaS cloud Services(DaaS 云服务)> Security and Monitoring(安全和监视)> App Protection

Citrix Secure Private Access

App Protection 作为 Citrix Secure Private Access 的独立附件提供。有关详细信息,请导航到 Service descriptions for Citrix Services(Citrix Services 的服务说明)一文中的 Citrix Cloud Services > Citrix Secure Private Access

Citrix Universal 订阅

App Protection 包含在以下服务中:

  • Citrix Universal Premium
  • Citrix Universal Premium Plus

它作为加载项提供,有以下版本:

  • Citrix Universal Advanced
  • Citrix Universal Advanced Plus

有关详细信息,请参阅这篇文章

操作系统平台

App Protection 策略运行时安装在要从中进行连接的端点上,而非安装在要连接的 VDA 上。因此,只有端点的操作系统版本很重要。(App Protection 可以连接到 Citrix Virtual Apps and Desktops 系统要求中所述的任何受支持的操作系统上托管的 VDA。)

运行以下操作系统的端点支持 App Protection 功能:

  • Windows:

    • Windows 11(64 位版本)
    • Windows 10(32 位和 64 位版本)

      注意:

      搭载 Arm64 版本的 Windows 操作系统的设备不支持 App Protection。

  • macOS:
    • High Sierra (10.13) 及更高版本
  • Linux:
    • 64 位 Ubuntu 22.04
    • 64 位 RHEL 9
    • ARM64 Raspberry Pi OS(基于 Debian 11 (bullseye))

注意:

对于 App Protection,适用于 Linux 的 Citrix Workspace 应用程序需要 Gnome Display Manager 以及支持的操作系统。

兼容性列表

基于 Citrix Cloud 的产品的兼容性矩阵

与基于 Citrix Cloud 的产品兼容的 App Protection 功能如下:

功能 Citrix Cloud Citrix Cloud Japan
面向虚拟应用程序和桌面的反键盘记录和防屏幕捕获
面向 Web 或 SaaS 应用程序的反键盘记录和防屏幕捕获
适用于 Windows 的防 DLL 攻击 是,通过组策略对象 (GPO)
防 DLL 攻击允许列表 是的,通过 GPO
Global App Configuration Service (GACS)
适用于 Linux 的身份验证或自助服务插件屏幕保护 是的,通过 AuthManConfig.xml
适用于 Mac 的身份验证或自助服务插件屏幕保护 是的,通过 GACS 是的,通过 GACS
适用于 Windows 的身份验证或自助服务插件屏幕保护 是的,通过 GPO
CAS App Protection 屏幕截图事件
上下文 App Protection 是,视用户而定
策略篡改检测
App Protection 状态检查
本地应用程序允许列表或过滤器 - Windows 是的,通过 GPO
本地 App Protection - Windows 是的,通过 GPO
系统要求和兼容性